MQTT

## Class MQTTPublisher

- java.lang.Object
- - MQTT.MQTTPublisher

    public class MQTTPublisher
    extends java.lang.Object

The Class MQTTPublisher.

### Constructor Summary

Constructors
Constructor and Description
`MQTTPublisher(org.fusesource.mqtt.client.MQTT mqtt)` Instantiates a new MQTT publisher.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `publish(java.util.ArrayList<java.lang.String> topics, java.lang.String message)` Publish.
`void` `publish(java.lang.String topic, java.lang.String message)` Publish.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MQTTPublisher

    public MQTTPublisher(org.fusesource.mqtt.client.MQTT mqtt)

Instantiates a new MQTT publisher.

Parameters:
  `mqtt` - the mqtt

### Method Detail

#### publish

    public void publish(java.lang.String topic,
                        java.lang.String message)

Publish.

Parameters:
  `topic` - the topic
  `message` - the message

#### publish

    public void publish(java.util.ArrayList<java.lang.String> topics,
                        java.lang.String message)

Publish.

Parameters:
  `topics` - the topics
  `message` - the message